Redmine - Defect #34986

Ruby 3.0 fix super calls
2021-03-30 12:22 - Pavel Rosicky

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Ruby support Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

https://github.com/rails/rails/blob/f855139f3d2bb9b032613279d0adfbd6a77a2d07/activerecord/lib/active_record/persistence.rb#L. 487

https://www.ruby-lang.org/en/news/2019/12/12/separation-of-positional-and-keyword-arguments-in-ruby-3-0/

there're failures on Ruby 3.0 due to kwargs separation, these two places should be changed either to accept kwargs instead of args

or ignore them.

note that Ruby 3.0 isn't supported without Rails patches #29914

Related issues:
Related to Redmine - Feature #34992: Ruby 3.0 support

Closed

Associated revisions

Revision 20912 - 2021-04-03 11:01 - Go MAEDA
Ruby 3.0: Fix “super calls (#34992, #34986).

Patch by Pavel Rosicky.

History

#1 - 2021-03-31 09:21 - Go MAEDA
- Related to Feature #34992: Ruby 3.0 support added

#2 - 2021-04-03 11:04 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch as a part of #34992. Thank you.
